%define src_ver	%(echo %{version}|sed "s/\\.//"g)
%define debug_package %{nil}

Summary:	Unpacks ZIP files such as those made by pkzip under DOS
Name:		unzip
Version:	6.1c
Release:	%mkrel 1
License:	BSD-like
Group:		Archiving/Compression
URL:		http://www.info-zip.org/pub/infozip/UnZip.html
Source0:	http://antinode.info/ftp/info-zip/unzip610c25.zip
Patch1:		CVE-2019-13232--v3.patch
BuildRequires:	lib64natspec-devel
BuildRequires:  bzip2-devel, gcc

%description
unzip will list, test, or extract files from a ZIP archive, commonly found
on MS-DOS systems. A companion program, zip, creates ZIP archives; both
programs are compatible with archives created by PKWARE's PKZIP and
PKUNZIP for MS-DOS, but in many cases the program options or default
behaviors differ.

This version also has encryption support.

%prep

%setup -qn %{name}610c25
# Disable now due to false positives. the patch needs fixing.
#patch1 -p1 -b .orig
#autopatch -p1

%build
%define Werror_cflags %nil
%ifarch %{ix86}
#make -ef unix/Makefile linux CF="%{optflags} -D_FILE_OFFSET_BITS=64 -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%else
#make -ef unix/Makefile linux_noasm CF="%{optflags} -D_FILE_OFFSET_BITS=64 -Wall -I."
%endif
# (tv) link with libbz2 thus fixing "need PK compat. v4.5 (can do v2.1)" when eg building perl-Archive-Zip:
perl -pi -e 's!(LIB_BZ\s+=)!\1 -lbz2!' unix/Makefile
perl -pi -e 's!(LF2\s+=)!\1 -lbz2!' unix/Makefile
LOCAL_UNZIP="%{optflags} -I." %make_build -j1 -f unix/Makefile linux_noasm CF="%{optflags} -I. -DBZIP2_SUPPORT -lbz2" NO_LZMA=1 LOCAL_UNZIP="%{optflags} -I." IZ_BZIP2=%_libdir LIB_BZ=-lbz2

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	do install $i %{buildroot}%{_bindir}; done
install unix/zipgrep %{buildroot}%{_bindir}

for i in man/man1/*.1; do install -m 644 $i %{buildroot}%{_mandir}/man1/; done


%check
# Minimal test: verify the newly built unzip is able to check its own sources:
./unzip -t %SOURCE0

%files
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Sep 27 2019 tex - 6.1c-1pclos2019
- 6.1c
